Company information
const url = 'https://sender.api.kivra.com/v3/partner/company/156077433683911cdca5fd4563bded979572454cb9';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://sender.api.kivra.com/v3/partner/company/156077433683911cdca5fd4563bded979572454cb9 \ --header 'Authorization: Bearer <token>'Get detailed information for a single company.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”The key for a company
Example
156077433683911cdca5fd4563bded979572454cb9Responses
Section titled “Responses”A company object.
object
The key for a company
Postal address for receiving physical mail as scanned content in Kivra.
object
The name of a company
A special “street” that allows the scanning facility to send to the correct company.
It’s on the format “Kivra:
The special postal code that goes to Kivra’s scanning facility
The “city” for Kivra’s scanning facility
The country for Kivra’s scanning facility
If a mailpiece cannot be scanned, it will be forwarded to this address instead.
object
Name of the recipient (a company or person).
Name of the street, including street number.
Postal code.
Name of the city.
Name of the country.
Address care of (c/o).
When the company started to onboard.
Email address for receiving emails as content
The empty string
The name of a company
The company’s/organisation’s type
This is currently based on the registry holding the signatory
information. Thus company really means that Bolagsverket is the
registry and includes Ekonomiska föreningar as well. For
riksidrottsförening it is Riksindrottsförbundet.
The status of each Kivra Business and Kivra Business Plus service for the company.
object
Indicates if the Kivra email service is active
Indicates if the scanned mail service is active
Used to indicate if the interpreter service is active. Now it is always false.
Indicates that the Kivra digital mail service is active (always true)
Indicates if the Kivra public authority mail service is active.
A Swedish VAT number (“momsregistreringsnummer”).
Example
{ "key": "156077433683911cdca5fd4563bded979572454cb9", "scanning_address": { "name": "Cornelias Café AB", "street": "Kivra: 556000-4755", "postal_code": "106 31", "city": "Stockholm", "country": "SE" }, "scanning_fallback_address": { "name": "Cornelias Café AB", "street": "Klara Norra kyrkogata 33", "postal_code": "11122", "city": "Stockholm", "country": "Sverige", "care_of": "" }, "created_at": "2019-02-26T14:47:26Z", "email": "xxcsn2psy@kivramail.com", "name": "Cornelias Café AB", "type": "company", "services": { "email": false, "scanning": false, "interpreter": false, "kivra": true, "minameddelanden": true }, "vat_number": "SE556000475501"}